fuss-client - Segnalazione #269

problema con fuss-client
05/23/2017 02:17 PM - Philipp Amort

Status: Chiuso Start date: 05/23/2017
Priority: Normale Due date:

Assignee: Philipp Amort % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Ho provato a aggiunere un client a un dominio tramite il commando fuss-client -a, ma ho ricevuto il seguente errore:

TASK [homes : Preseed kerberos server]

fatal: [localhost]: FAILED! => {"failed": true, "msg": "the field 'args' has an invalid value, which appears to include

a variable that is undefined. The error was: 'dict object' has no attribute 'domain\n\nThe error appears to have been in
'lusr/share/fuss-client/roles/homes/tasks/main.yml': line 54, column 3, bu may\nbe elsewhere in the file depending on the
exact syntax problem.\n\nThe offending line appears to be:\n\n when: not st.stat.exists\n- name: Preseed kerberos server\n
A here\n"}

Related issues:

Related to fuss-server - Segnalazione #236: login Chiuso 04/21/2017
Related to fuss-client - Segnalazione #262: fuss-client -a / cant discover d... Risolto 05/18/2017
History

#1 - 05/23/2017 02:24 PM - Christopher R. Gabriel

- Assignee set to Elena Grandi

#2 - 05/23/2017 02:24 PM - Christopher R. Gabriel
- Related to Segnalazione #236: login added

#3 - 05/23/2017 02:25 PM - Christopher R. Gabriel
- Status changed from Nuovo to Commenti

- Assignee changed from Elena Grandi to Philipp Amort

Salve Philipp, puoi cortesemente segnalare la versione di fuss-client e fuss-server in uso?

#4 - 05/23/2017 04:40 PM - Philipp Amort

La versione del fuss-server e 8.0.13-1
La versione del fuss-client e* 8.0.4

#5 - 05/23/2017 04:42 PM - Christopher R. Gabriel

Invito a riprovare con l'ultima versione di fuss-client, 8.0.6 in quanto problema analogo a quello gia' segnalato in #236

#6 - 05/24/2017 11:55 AM - Elena Grandi

- Related to Segnalazione #262: fuss-client -a / cant discover domain / added

#7 - 05/24/2017 11:58 AM - Elena Grandi

Il problema pu6 dipendere da configurazioni di rete non prevedibili, per cui € stato previsto un workaround e nel frattempo €& stato aggiunto un
messaggio di errore credo piu utile.

Potrebbe anche essere perd un bug del fuss-server: nel caso propongo di chiudere questo ticket e proseguire l'indagine su #262 (che ha un nome
facilmente riconoscibile)
https://work.fuss.bz.it/issues/236
https://work.fuss.bz.it/issues/262

#8 - 05/25/2017 09:41 AM - Philipp Amort

- Status changed from Commenti to Chiuso

Con la nuova versione di fuss-client non esiste piu il mio problema
